import sys
import time
import lepcpy as le


def main():
    device = ''
    match len(sys.argv):
        case 1:
            pass
        case 2:
            device = sys.argv[1]
        case _:
            print(f'usage: {sys.argv[0]} <serial number>')
            return 0

    if not le.connect(device):
        print('connect failed')
        return 1

    print(f'connect ({device if device != "" else "Auto"})')

    # test capture (10 sec)
    if not le.startOnline():
        print('startOnline failed')
        return 1

    for i in range(10):
        time.sleep(1)
        print(f'  capturing... {i + 1:02}/10')

    if not le.stop():
        print('stop failed')
        return 1

    print('getting data...')

    # import pcap from capture buffer
    if not le.importPcap('test.pcapng'):
        print('importPcap failed')
        return 1

    print('done.\n output = test.pcapng')


if __name__ == '__main__':
    try:
        main()
    finally:
        le.disconnect()
