import sys
import lepcpy as le


def main():
    if len(sys.argv) != 2:
        print(f'usage : {sys.argv[0]} <DT_filename>')
        exit()

    print(f'loading {sys.argv[1]}')
    try:
        mondata = le.loadDT(sys.argv[1], 100, le.LE_MONDATA_FORMAT_1)
        print(f'file read : length = {len(mondata)}')

        for i, d in enumerate(mondata):
            print(f'{i} {d.SD:02x} {d.SD:c}')
    except:
        print('file read error\n')
        exit(1)


if __name__ == '__main__':
    main()
